Great extension - make it work with any version of FF Rated 5 out of 5 stars

Yep, this should be a default functionality in Firefox.

Make it work in ANY version of Firefox:

1. Unzip the .xpi file
2. Edit the file 'install.rdf'
3. Look for the line 'em:maxVersion="xx" />'
4. Replace the 'xx' with whatever number you want, I needed it to work in FF 10.x so I replaced the xx with a 20 :p
5. Zip the folder again
6. You may have to change the extension from .zip to .xpi
7. Install: Drag and drop on Firefox or Open File

That's it.